package com.smartgwt.sample.server;

import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.isomorphic.datasource.BasicDataSource;
import com.isomorphic.datasource.DSRequest;
import com.isomorphic.datasource.DSResponse;

public class RolesDataSource extends BasicDataSource {  
	  

    public DSResponse executeFetch(DSRequest req) throws Exception {  
        DSResponse resp = new DSResponse();
        resp.setData(fetchRolesAll(req, resp));
        resp.setStatus(0);
        return resp;  
    }  
  
// -----------------------------------------------------------------------------------------  
// You can replace code below to implement any data access approah you actually want to use.  
// -----------------------------------------------------------------------------------------  
  
    private List fetchRolesAll (DSRequest req, DSResponse resp) throws Exception {  
    	List collection = new ArrayList();
    	ResultSet rest = null;
    	Connection conn = DBConnection.getConnection();
    	String query = "select role_name from isg_roles";
        rest = (conn.prepareStatement(query)).executeQuery();
        if (rest != null)
        {
        	while (rest.next())
        	{
        		Map record = new HashMap();
        		record.put("roleName", rest.getString(1));
        		collection.add(record);
        	}
        	rest.close();
        }
   	    conn.close();
		return collection;
    }  
}